<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Multi precision toolbox for Scilab
 * Copyright (C) 2011 - Jonathan Blanchard
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="mps_get_ele_seq" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>

  <refnamediv>
    <refname>mps_get_ele_seq</refname>

    <refpurpose>Get an element from a matrix accessed sequentially</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>mps_get_ele_seq( rop, op, i )</synopsis>

  </refsynopsisdiv>

  <refsection>
    <title>Arguments</title>

    <variablelist>

      <varlistentry>
        <term>rop</term>

        <listitem>
          <para>multi-precision scalar</para>
        </listitem>
      </varlistentry>


      <varlistentry>
        <term>op</term>

        <listitem>
          <para>multi-precision matrix</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Return element [i] of <literal>op</literal> into 
    <literal>rop</literal>. The matrix is accessed sequentially by concatenating
    its columns.
    </para>

  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
// Standard usage.
A = [1 -2; 3 -4]
mpsA = mps_init2(A,100)
mpsB = mps_init(1,1,100)
mps_get_ele_seq(mpsB,mpsA,2)

 ]]></programlisting>
  </refsection>

  <refsection role="see also">
<title>See Also</title>

    <simplelist type="inline">

      <member><link linkend="overloaded_insertion">overloaded_extraction</link></member>

      <member><link linkend="mps_get_ele">mps_get_ele</link></member>

      <member><link linkend="mps_set_ele_seq">mps_set_ele_seq</link></member>

    </simplelist>
  </refsection>

</refentry>
